Bug 895810 - Review Request: glassfish-legal - Legal License for glassfish code
Summary: Review Request: glassfish-legal - Legal License for glassfish code
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 870995
Blocks: 889303 947509
TreeView+ depends on / blocked
 
Reported: 2013-01-16 03:21 UTC by gil cattaneo
Modified: 2013-06-03 19:29 UTC (History)
3 users (show)

Fixed In Version: glassfish-legal-1.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-31 04:31:23 UTC
tcallawa: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description gil cattaneo 2013-01-16 03:21:21 UTC
Spec URL: http://gil.fedorapeople.org/glassfish-legal.spec
SRPM URL: http://gil.fedorapeople.org/glassfish-legal-1.1-1.fc18.src.rpm
Description:
An archive which contains license files for glassfish code.
Fedora Account System Username: gil

Comment 1 Tom "spot" Callaway 2013-05-16 14:47:42 UTC
I'm not going to get too meta here and discuss the viability of trying to describe the license of a package which just contains license files. That might be fun some other time though. :)

= Review =

Good:

- rpmlint checks return:

glassfish-legal.src: W: invalid-url Source0: glassfish-legal-1.1-src-svn.tar.gz

Safe to ignore.

- package meets naming guidelines
- package meets packaging guidelines
- license (CDDL or GPLv2 with exceptions) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream (manual diff due to SVN checkout)
- package compiles on f19 (noarch)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- nothing in %doc affects runtime
- no need for .desktop file

APPROVED.

Comment 2 gil cattaneo 2013-05-16 14:52:26 UTC
Thanks for the review

New Package SCM Request
=======================
Package Name: glassfish-legal
Short Description: Legal License for glassfish code
Owners: gil
Branches: f18 f19
InitialCC: java-sig

Comment 3 Gwyn Ciesla 2013-05-16 15:29:54 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2013-05-22 02:32:43 UTC
glassfish-legal-1.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/glassfish-legal-1.1-1.fc18

Comment 5 Fedora Update System 2013-05-22 02:43:09 UTC
glassfish-legal-1.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/glassfish-legal-1.1-1.fc19

Comment 6 Fedora Update System 2013-05-22 22:36:32 UTC
glassfish-legal-1.1-1.fc19 has been pushed to the Fedora 19 testing repository.

Comment 7 Fedora Update System 2013-05-31 04:31:23 UTC
glassfish-legal-1.1-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 8 Fedora Update System 2013-06-01 03:17:17 UTC
glassfish-legal-1.1-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.